--- title: "agents_status" slug: "agents-status" updated: 2024-10-25T11:02:05Z published: 2024-10-25T11:02:05Z canonical: "docs.voiso.com/agents-status" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.voiso.com/llms.txt > Use this file to discover all available pages before exploring further. # agents_status Get/api/v1/{api_key}/agents_status Returns the user list with relevant email, extension, and current status. Path parametersapi_keystringRequired The [Contact Center API key](https://developers.voiso.com/client/#/rest/getting-started/authentication/how-to-obtain-the-contact-center-key). Example{contact_center_api_key} Responses200 Success example1 Agent status Array of agent's data and status ```json [ { "email": "pt@fg.com", "ext": "7777", "status": "available" }, { "email": "px@fg.com", "ext": "5555", "status": "unavailable" } ] ``` Array of object Array of agent's data and status Example[ { "email": "pt@fg.com", "ext": "7777", "status": "available" }, { "email": "px@fg.com", "ext": "5555", "status": "unavailable" } ]object Returns the user list with relevant email, extension, and current status. emailstring The agent's email. extstring | null The agent's extension. statusValid values[ "offline", "available", "unavailable", "inbound", "outbound", "dialer", "postcall" ] 403 Invalid api_key example1 Error1 Invalid API key ```json { "error": "Invalid api_key" } ``` Example{ "error": "Invalid api_key" } 415 This type of request is not supported by the server 503 Server error